Rygel.WritableContainer.remove_item – librygel-server Reference Manual

# remove_item

## Description:

public abstract async void remove_item (string id, Cancellable? cancellable) throws Error

Remove an item directly under this container that has the ID @id.

The caller should not first remove the file(s) pointed to by the item's URI(s). That is handled by the container class.

This method corresponds to the UPnP ContentDirectory's DestroyObject action.

## Parameters:

id | The ID of the item to remove from this container
cancellable | optional cancellable for this operation

## Returns:

nothing.